Subject: bug#39138: 28.0.50; Add variables for shell command output buffer names

From: Juri Linkov <[email-masked]>
Date: Mon, 10 Aug 2020 02:18:41 +0300

>> IMO, the two strings, `*Shell Command Output*' and
>> `*Async Shell Command*', deserve variables with their docstrings.
>
> Skimming the thread, the rough consensus here was that this was a good
> idea, but that these should be constants instead.  So I've applied the
> patch to Emacs 28 and then adjusted the variable/constant bit.

Oh, I noticed that the patch provided by Tino removed all mentions of
shell buffer names from the documentation.  While technically this is fine,
I tried to look from the point of view of users, and realized that it's
highly unlikely that the users might be interested to know the name of
the constant 'shell-command-buffer-name', whereas it's very important
for users to learn that the default name of the shell output buffer is
"*Shell Command Output*".

So it would be better to revert all changes in the documentation, and
anyway in https://debbugs.gnu.org/39138#16 Eli already asked not to mention
these variables in the manual.